summaryrefslogtreecommitdiff
path: root/dev-python/pywayland
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-08-16 03:04:48 -0500
committerroot <root@alpha.trunkmasters.com>2026-08-16 03:04:48 -0500
commit419e92606fe27d657dbe239bd6f440ec8a36d51d (patch)
treee19f559be2709c782ca42f4205768b2dcb617905 /dev-python/pywayland
parent176ef8b33b07b6349926561830323f298e7800da (diff)
downloadbaldeagleos-repo-419e92606fe27d657dbe239bd6f440ec8a36d51d.tar.gz
baldeagleos-repo-419e92606fe27d657dbe239bd6f440ec8a36d51d.tar.xz
baldeagleos-repo-419e92606fe27d657dbe239bd6f440ec8a36d51d.zip
Adding metadata
Diffstat (limited to 'dev-python/pywayland')
-rw-r--r--dev-python/pywayland/Manifest1
-rw-r--r--dev-python/pywayland/pywayland-0.4.19.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/dev-python/pywayland/Manifest b/dev-python/pywayland/Manifest
index 119b4caf255f..4388ac3f0066 100644
--- a/dev-python/pywayland/Manifest
+++ b/dev-python/pywayland/Manifest
@@ -1 +1,2 @@
DIST pywayland-0.4.18.gh.tar.gz 62703 BLAKE2B d44858fb70b2a2d5e3a4f23766c1f00e255ea2fdbe3e5da47d2a114dfb6c4bd6951d971653db9727f54c3e697acb83d65446c08e670f32686520e35d6051e35c SHA512 cf46e3fed04a30eff4bb8293857fc9e874394bbd214b94cc2f73424e3c64d1c4a5df125189163e57d2b17017feb1e919588291e06c84acdc2e4479315b400932
+DIST pywayland-0.4.19.gh.tar.gz 64477 BLAKE2B 84d767c50de00eaabaaebd1042a8dd6ddef86c6fc006665af39c4c35f805fdff3f0ffd4d003e84e7c8d305550ab56c8b79cd3f47f09faec6198fbd68e1185d00 SHA512 697f02089128777d5e195bd0dc8dd91f02e20f89029c76bbd7e1d6ff3ddc6d8e811b9a3d5c8b9fc359e3a26088d01bdd550439b73c3340e5c2d49bf089fcfb32
diff --git a/dev-python/pywayland/pywayland-0.4.19.ebuild b/dev-python/pywayland/pywayland-0.4.19.ebuild
new file mode 100644
index 000000000000..2a3887315277
--- /dev/null
+++ b/dev-python/pywayland/pywayland-0.4.19.ebuild
@@ -0,0 +1,56 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the libwayland library"
+HOMEPAGE="
+ https://pywayland.readthedocs.io/en/latest/
+ https://github.com/flacjacket/pywayland
+ https://pypi.org/project/pywayland/
+"
+SRC_URI="
+ https://github.com/flacjacket/pywayland/archive/refs/tags/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ dev-libs/wayland
+ $(python_gen_cond_dep '
+ dev-python/cffi[${PYTHON_USEDEP}]
+ ' 'python*')
+"
+DEPEND="
+ ${RDEPEND}
+ dev-libs/wayland-protocols
+"
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-util/wayland-scanner
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ # https://github.com/flacjacket/pywayland/
+ rm pywayland/_ffi.* || die
+}
+
+python_test() {
+ local -x XDG_RUNTIME_DIR=${T}
+
+ rm -rf pywayland || die
+ epytest
+}